Subject: Re: [BUG #12364] Re: HTB - very bad precision? HFSC works fine! 2.6.28

From: Jarek Poplawski <[email-masked]>
Date: Fri, 9 Jan 2009 09:48:13 +0000

On Thu, Jan 08, 2009 at 08:32:16PM +0200, Denys Fedoryschenko wrote:
> I disable tso/gso and others. No difference at all. Here is actual output, 
> after running it for 1-2 minutes.
> 
> Cisco
>   30 second output rate 59600000 bits/sec, 32978 packets/sec
> Linux
> 
...
> class htb 1:10 root rate 57000Kbit ceil 57000Kbit burst 72838b cburst 72838b
>  Sent 75203300117 bytes 328680653 pkt (dropped 0, overlimits 0 requeues 0)
>  rate 58008Kbit 32891pps backlog 0b 0p requeues 0

Alas you forgot to add "tc -s qdisc" output, so there could be
something more, but what I can see here doesn't look terribly wrong.
The rate is exceeded less than 2%, so it seems some tweaking is
needed. My proposal is to start with setting lower cburst params for
all classes e.g. half of the current values (if no difference go
lower). If it doesn't help send new stats.

Thanks,
Jarek P.